Loading...
Searching...
No Matches
websocketpp::error Namespace Reference

Library level error codes. More...

## Classes

class | category

## Enumerations

enum

value {
general = 1 , send_queue_full , payload_violation , endpoint_not_secure ,
endpoint_unavailable , invalid_uri , no_outgoing_buffers , no_incoming_buffers ,
invalid_state , bad_close_code , reserved_close_code , invalid_close_code ,
invalid_utf8 , invalid_subprotocol , bad_connection , test ,
con_creation_failed , unrequested_subprotocol , client_only , server_only ,
http_connection_ended , open_handshake_timeout , close_handshake_timeout , invalid_port ,
async_accept_not_listening , operation_canceled , rejected , upgrade_required ,
invalid_version , unsupported_version , http_parse_error , extension_neg_failed ,
transport_error
}

## Functions

const lib::error_category & | get_category ()
lib::error_code | make_error_code (error::value e)

## Detailed Description

Library level error codes.

## Enumeration Type Documentation

## value

enum websocketpp::error::value

Enumerator
general | Catch-all library error.
send_queue_full | send attempted when endpoint write queue was full
payload_violation | Attempted an operation using a payload that was improperly formatted ex: invalid UTF8 encoding on a text message.
endpoint_not_secure | Attempted to open a secure connection with an insecure endpoint.
endpoint_unavailable | Attempted an operation that required an endpoint that is no longer available. This is usually because the endpoint went out of scope before a connection that it created.
invalid_uri | An invalid uri was supplied.
no_outgoing_buffers | The endpoint is out of outgoing message buffers.
no_incoming_buffers | The endpoint is out of incoming message buffers.
invalid_state | The connection was in the wrong state for this operation.
bad_close_code | Unable to parse close code.
reserved_close_code | Close code is in a reserved range.
invalid_close_code | Close code is invalid.
invalid_utf8 | Invalid UTF-8.
invalid_subprotocol | Invalid subprotocol.
bad_connection | An operation was attempted on a connection that did not exist or was already deleted.
test | Unit testing utility error code.
con_creation_failed | Connection creation attempted failed.
unrequested_subprotocol | Selected subprotocol was not requested by the client.
client_only | Attempted to use a client specific feature on a server endpoint.
server_only | Attempted to use a server specific feature on a client endpoint.
http_connection_ended | HTTP connection ended.
open_handshake_timeout | WebSocket opening handshake timed out.
close_handshake_timeout | WebSocket close handshake timed out.
invalid_port | Invalid port in URI.
async_accept_not_listening | An async accept operation failed because the underlying transport has been requested to not listen for new connections anymore.
operation_canceled | The requested operation was canceled.
rejected | Connection rejected.
upgrade_required | Upgrade Required. This happens if an HTTP request is made to a WebSocket++ server that doesn't implement an http handler
invalid_version | Invalid WebSocket protocol version.
unsupported_version | Unsupported WebSocket protocol version.
http_parse_error | HTTP parse error.
extension_neg_failed | Extension negotiation failed.
transport_error | General transport error, consult more specific transport error code.

Definition at line 45 of file error.hpp.

## Function Documentation

## get_category()

const lib::error_category & websocketpp::error::get_category | ( |  | ) |

inline

Definition at line 235 of file error.hpp.

## make_error_code()

lib::error_code websocketpp::error::make_error_code | ( | error::value | e | ) |

inline

Definition at line 240 of file error.hpp.